mjpegtools-dmo (2:2.2.1-dmo8) unstable; urgency=medium

  * Rebuild for time_t

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 12 Mar 2024 10:21:37 +0100

mjpegtools-dmo (2:2.2.1-dmo7) unstable; urgency=medium

  * Rename libraries for 64-bit time_t transition.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 28 Feb 2024 11:25:43 +0100

mjpegtools-dmo (2:2.2.1-dmo6) unstable; urgency=medium

  * Fix broken symbolic link lav2avi.sh --> lav2avi

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 09 Jan 2024 09:04:45 +0100

mjpegtools-dmo (2:2.2.1-dmo5) unstable; urgency=medium

  * Remove install-info dependency

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 13 Jul 2022 15:26:26 +0200

mjpegtools-dmo (2:2.2.1-dmo4) unstable; urgency=medium

  * Remove libquicktime-dev dependency for libmjpegtools-dev 

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 25 Jun 2022 16:36:23 +0200

mjpegtools-dmo (2:2.2.1-dmo3) unstable; urgency=medium

  * Add pkg-config to Build-Depends

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 25 Jun 2022 16:19:48 +0200

mjpegtools-dmo (2:2.2.1-dmo2) unstable; urgency=medium

  * Build without libquicktime (Code is dead upstream).

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 25 Jun 2022 11:52:27 +0200

mjpegtools-dmo (2:2.2.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 05 Sep 2021 08:54:46 +0200

mjpegtools-dmo (2:2.2.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 22 Feb 2021 01:42:57 +0100

mjpegtools-dmo (2:2.1.0-dmo12) unstable; urgency=medium

  * Remove mjpegtools-gtk package.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 10 Aug 2020 01:10:28 +0200

mjpegtools-dmo (2:2.1.0-dmo11) unstable; urgency=medium

  * Add "Recommends: mencoder" to the mjpegtools package for the lav2avi
    script to work.
  * Change shebang line in scripts/lav2mpeg, scripts/lav2avi.sh and
    scripts/lavtc.sh to bash, it is full of bashisms.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 22 Aug 2019 11:11:58 +0200

mjpegtools-dmo (2:2.1.0-dmo10) unstable; urgency=medium

  * Change debian source format to '3.0 (quilt)'

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 28 Nov 2017 14:04:54 +0100

mjpegtools-dmo (2:2.1.0-dmo9) unstable; urgency=medium

  * Rebuild with PIE

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 05 Mar 2017 16:03:30 +0100

mjpegtools-dmo (2:2.1.0-dmo8) unstable; urgency=medium

  * Really rebuild against libpng16

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 11 Apr 2016 14:30:47 +0200

mjpegtools-dmo (2:2.1.0-dmo7) unstable; urgency=medium

  * Rebuild against libpng16

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 07 Apr 2016 11:30:39 +0200

mjpegtools-dmo (2:2.1.0-dmo6) unstable; urgency=medium

  * Funny ? No. Rebuild against libjpeg62-turbo.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 20 Oct 2014 15:56:43 +0200

mjpegtools-dmo (2:2.1.0-dmo5) unstable; urgency=medium

  * debian/control fix typo.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 09 Oct 2014 15:33:12 +0200

mjpegtools-dmo (2:2.1.0-dmo4) unstable; urgency=medium

  * Second round to rebuild against libjpeg-dev from libjpeg-turbo.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 09 Oct 2014 15:11:07 +0200

mjpegtools-dmo (2:2.1.0-dmo3) unstable; urgency=medium

  * Rebuild against libjpeg-dev from libjpeg-turbo.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 28 Sep 2014 08:11:12 +0200

mjpegtools-dmo (2:2.1.0-dmo2) unstable; urgency=low

  * y4mscaler is now included here, so add a replace for this package.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 24 Sep 2013 11:54:16 +0200

mjpegtools-dmo (2:2.1.0-dmo1) unstable; urgency=low

  * New upstream release.
  * Removed 03_spurious-config.h patch.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 22 Sep 2013 08:57:30 +0200

mjpegtools-dmo (2:2.0.0-dmo6) unstable; urgency=low

  * Fix typo in long description (Thanks to Pascal De Vuyst).
  * Update 04_FTBFS patch to add missing libraries needed when linking.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 25 Aug 2013 18:32:29 +0200

mjpegtools-dmo (2:2.0.0-dmo5) unstable; urgency=low

  * New upload for my repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 02 Nov 2012 07:55:01 +0100

mjpegtools-dmo (1:2.0.0-dmo4) unstable; urgency=low

  * Restore 01_cpu-detection patch to fix kfreebsd build.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 08 Oct 2012 14:27:05 +0200

mjpegtools-dmo (1:2.0.0-dmo3) unstable; urgency=low

  * Add Conflicts for libmjpegtools-2.0-0

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 08 Oct 2012 09:02:26 +0200

mjpegtools-dmo (1:2.0.0-dmo2) unstable; urgency=low

  * Split libmjpegtools-2.0-0 in more libraries.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 08 Oct 2012 08:05:56 +0200

mjpegtools (1:2.0.0-dmo1) unstable; urgency=low

  * Added new patch 04_FTBFS to fix various errors with hardened build flags.

 -- Christian Marillat <marillat@debian.org>  Sat, 28 Apr 2012 09:31:03 +0200

mjpegtools (1:2.0.0-0.6) unstable; urgency=low

  * Rebuild with hardened flags.

 -- Christian Marillat <marillat@debian.org>  Fri, 23 Mar 2012 08:15:02 +0100

mjpegtools (1:2.0.0-0.5) unstable; urgency=low

  * Rebuild against libquicktime2.

 -- Christian Marillat <marillat@debian.org>  Sun, 06 Nov 2011 10:32:43 +0100

mjpegtools (1:2.0.0-0.4) unstable; urgency=low

  * Rebuild against libjpeg8.

 -- Christian Marillat <marillat@debian.org>  Sat, 08 Oct 2011 10:50:56 +0200

mjpegtools (1:2.0.0-0.3) unstable; urgency=low

  * Build for multiarch.

 -- Christian Marillat <marillat@debian.org>  Mon, 27 Jun 2011 16:56:36 +0200

mjpegtools (1:2.0.0-0.2) unstable; urgency=low

  * Rebuild against linquicktime2.

 -- Christian Marillat <marillat@debian.org>  Fri, 27 May 2011 17:54:39 +0200

mjpegtools (1:2.0.0-0.1) unstable; urgency=low

  * Remove spurious config.h include in stream_params.hpp

 -- Christian Marillat <marillat@debian.org>  Tue, 24 May 2011 09:59:23 +0200

mjpegtools (1:2.0.0-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sat, 21 May 2011 19:57:54 +0200

mjpegtools (1:1.9.0-0.7) unstable; urgency=low

  * New patch 04_gcc-4.4 to fix build with gcc 4.4

 -- Christian Marillat <marillat@debian.org>  Wed, 10 Feb 2010 11:48:36 +0100

mjpegtools (1:1.9.0-0.6) unstable; urgency=low

  * Don't package la files in /usr/lib
  * Updated to Standards-Version: 3.8.3

 -- Christian Marillat <marillat@debian.org>  Fri, 28 Aug 2009 13:58:36 +0200

mjpegtools (1:1.9.0-0.5) unstable; urgency=low

  * New patch to fix a memory leak in png2yuv.

 -- Christian Marillat <marillat@debian.org>  Sun, 28 Jun 2009 08:37:31 +0200

mjpegtools (1:1.9.0-0.4) unstable; urgency=low

  * Unset CFLAGS (fix mipsel build).
  * Replace toolame by twolame. Only mpegtranscode and lav2mpeg use toolame.

 -- Christian Marillat <marillat@debian.org>  Sat, 06 Jun 2009 10:06:20 +0200

mjpegtools (1:1.9.0-0.3) unstable; urgency=low

  * Build powerpc packages without altivec support.

 -- Christian Marillat <marillat@debian.org>  Mon, 02 Mar 2009 16:18:05 +0100

mjpegtools (1:1.9.0-0.2) unstable; urgency=low

  * New patch 01_cpu-detection to compile with -march and -mtune set to i486.

 -- Christian Marillat <marillat@debian.org>  Thu, 05 Feb 2009 08:49:24 +0100

mjpegtools (1:1.9.0-0.1) unstable; urgency=low

  * Upload in unstable.

 -- Christian Marillat <marillat@debian.org>  Mon, 02 Feb 2009 18:10:27 +0100

mjpegtools (1:1.9.0-0.0) experimental; urgency=low

  * New upstream release.
  * Rename library in libmjpegtools-1.9 and add Replaces/Conflicts for the
    experimental package.

 -- Christian Marillat <marillat@debian.org>  Tue, 06 Jan 2009 17:05:56 +0100

mjpegtools (1:1.9.0~rc4-0.1) experimental; urgency=low

  * Removed extra CFLAGS for amd64.
  * Don't build with LDFLAGS=-Wl,--as-needed

 -- Christian Marillat <marillat@debian.org>  Tue, 09 Dec 2008 15:43:10 +0100

mjpegtools (1:1.9.0~rc4-0.0) experimental; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Tue, 09 Dec 2008 09:14:43 +0100

mjpegtools (1:1.9.0~rc3-0.2) experimental; urgency=low

  * The -dev package need to depends on pkg-config.

 -- Christian Marillat <marillat@debian.org>  Thu, 31 Jan 2008 15:52:30 +0100

mjpegtools (1:1.9.0~rc3-0.1) experimental; urgency=low

  * Add missing mpeg2syntaxcodes.h include file.
  * Update Standards-Version to 3.7.3 (no changes).
  * Use dh_install instead of dh_movefiles
  * Use ccache.

 -- Christian Marillat <marillat@debian.org>  Mon, 28 Jan 2008 10:57:27 +0100

mjpegtools (1:1.9.0~rc3-0.0) experimental; urgency=low

  * New upstream release.
  * Upload in experimental.

 -- Christian Marillat <marillat@debian.org>  Sat, 15 Dec 2007 09:59:37 +0100

mjpegtools (1:1.8.0-0.4) unstable; urgency=low

  * New patch from cvs to fix gcc 4 build.

 -- Christian Marillat <marillat@debian.org>  Sun, 15 Oct 2006 08:42:40 +0200

mjpegtools (1:1.8.0-0.3) unstable; urgency=low

  * Rebuild against the latest libdirectfb-0.9-25 package.

 -- Christian Marillat <marillat@debian.org>  Wed,  2 Aug 2006 14:04:42 +0200

mjpegtools (1:1.8.0-0.2) unstable; urgency=low

  * rebuild for amd64.

 -- Christian Marillat <marillat@debian.org>  Sat, 13 May 2006 13:45:08 +0200

mjpegtools (1:1.8.0-0.1) unstable; urgency=low

  * Replace libgtk1.2-dev build-dependency by libgtk2.0-dev to build the
    glav binary. Thanks to Carsten B. Jensen

 -- Christian Marillat <marillat@debian.org>  Wed,  4 Jan 2006 19:46:01 +0100

mjpegtools (1:1.8.0-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Tue, 20 Sep 2005 10:18:44 +0200

mjpegtools (1:1.6.3+rc3-0.0) unstable; urgency=low

  * New upstream pre release.
  * Remove all patches, ppc included.

 -- Christian Marillat <marillat@debian.org>  Tue,  6 Sep 2005 18:37:21 +0200

mjpegtools (1:1.6.3+rc2-0.0) unstable; urgency=low

  * New upstream release.
  * Move to dpatch.

 -- Christian Marillat <marillat@debian.org>  Mon, 15 Aug 2005 10:13:36 +0200

mjpegtools (1:1.6.2-0.9) unstable; urgency=low

  * Add libpng-dev in Build-Depends to buid the png2yuv binary.

 -- Christian Marillat <marillat@debian.org>  Thu,  3 Mar 2005 23:11:41 +0100

mjpegtools (1:1.6.2-0.8) unstable; urgency=low

  * Rebuild for testing.
  * debian/control Add libxt-dev | xlibs-dev in Build-Depends

 -- Christian Marillat <marillat@debian.org>  Wed, 12 Jan 2005 16:19:20 +0100

mjpegtools (1:1.6.2-0.7) unstable; urgency=low

  * Only add -fPIC and -DPIC for amd64

 -- Christian Marillat <marillat@debian.org>  Fri, 31 Dec 2004 12:01:06 +0100

mjpegtools (1:1.6.2-0.6) unstable; urgency=low

  * Fix libraries linkage (Thanks to Laurent Bonnaud)
  * Build with -fPIC and -DPIC

 -- Christian Marillat <marillat@debian.org>  Wed, 29 Dec 2004 20:26:41 +0100

mjpegtools (1:1.6.2-0.5) unstable; urgency=low

  * Applied patches from Tuomas Jormola. Thanks to him.
      o Build amd64 with -fPIC
      o Added two patches to build with gcc 3.4

 -- Christian Marillat <marillat@debian.org>  Wed, 11 Aug 2004 13:59:49 +0200

mjpegtools (1:1.6.2-0.4) unstable; urgency=low

  * Removed alvitec patch.

 -- Christian Marillat <marillat@debian.org>  Mon, 28 Jun 2004 20:39:58 +0200

mjpegtools (1:1.6.2-0.3) unstable; urgency=low

  * Reverted change done in 1:1.6.1.90-0.2 (build the package without
    --disable-cmov-extension) really a bad idea.

 -- Christian Marillat <marillat@debian.org>  Thu, 29 Apr 2004 10:35:08 +0200

mjpegtools (1:1.6.2-0.2) unstable; urgency=low

  * Build against libdv4-dev for unstable.

 -- Christian Marillat <marillat@debian.org>  Fri, 23 Apr 2004 21:05:40 +0200

mjpegtools (1:1.6.2-0.1) unstable; urgency=low

  * Remove libavifile-0.7-dev in Builde-Depends
  * Change again nasm build-depency to 0.98.34

 -- Christian Marillat <marillat@debian.org>  Sat,  3 Apr 2004 17:34:39 +0200

mjpegtools (1:1.6.2-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Thu, 12 Feb 2004 10:34:37 +0100

mjpegtools (1:1.6.1.93-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Thu, 22 Jan 2004 00:29:53 +0100

mjpegtools (1:1.6.1.92-0.1) unstable; urgency=low

  * Update the shlibs file to make mjpegtools depends on the latest
    libmjpegtools0 package.

 -- Christian Marillat <marillat@debian.org>  Mon,  8 Dec 2003 13:54:48 +0100

mjpegtools (1:1.6.1.92-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Fri, 28 Nov 2003 19:02:25 +0100

mjpegtools (1:1.6.1.90-0.2) unstable; urgency=low

  * Build with -fPIC and -DPIC
  * debian/rules build without --disable-cmov-extension, now this package
    can't be used on a K6 or Pentium CPU. Idea from Nicolas B
  * Apply patch from Marc Leeman to fix an infinite loop in jpeg2yuv
  * Aplly patches from Guido Guenther to fix compilation on powerpc-linux
  * disble -g for powerpc by default since it crashes the compiler on altivec code
  * build-depend on libavifile on i386 only

 -- Christian Marillat <marillat@debian.org>  Thu, 30 Oct 2003 11:24:51 +0100

mjpegtools (1:1.6.1.90-0.1) unstable; urgency=low

  * Register info documentation
  * debian/control Add libavifile0.7-dev in Build-Depends

 -- Christian Marillat <marillat@debian.org>  Tue, 26 Aug 2003 10:37:49 +0200

mjpegtools (1:1.6.1.90-0.0) unstable; urgency=low

  * New upstream release.
  * Removed the following patches :
      o 02_assert
      o 03_Makefile.in
      o 04_libavifile.h
  * Rewrote the following patches :
      o 06_link
      o 07_configure

 -- Christian Marillat <marillat@debian.org>  Sun, 24 Aug 2003 10:24:44 +0200

mjpegtools (1:1.6.1-0.7) unstable; urgency=low

  * debian/control remove the second libsdl1.2-dev Build-dependency and add
    a versioned nasm build-dependency (Thanks to Nicolas B). But who is
    Nicolas B ?

 -- Christian Marillat <marillat@debian.org>  Tue, 19 Aug 2003 19:33:36 +0200

mjpegtools (1:1.6.1-0.6) unstable; urgency=low

  * Build for i386

 -- Christian Marillat <marillat@debian.org>  Fri,  8 Aug 2003 16:02:17 +0200

mjpegtools (1:1.6.1-0.5) unstable; urgency=low

  * From Nicolas B. mjpegtools need to depends on bc
  * From Tuomas Jormola (thanks):
    o Add missing assert.h include needed by gcc 3.3
    o Fix to build against latest libavifile.
    o Fix to build against gcc 3.3
  * Pointed out by Stefan Frank, apply patch from Bob McElrath to fix lavrec
    bug with some audio card.
  * debian/control Add libsdl1.2-dev
  * Fix libraries linkage

 -- Christian Marillat <marillat@debian.org>  Sat, 26 Jul 2003 23:22:52 +0200

mjpegtools (1:1.6.1-0.4) unstable; urgency=low

  * Add libquicktime-dev dependecy for the -dev package

 -- Christian Marillat <marillat@debian.org>  Sun, 27 Apr 2003 20:38:41 +0200

mjpegtools (1:1.6.1-0.3) unstable; urgency=low

  * Build against libquicktime-dev

 -- Christian Marillat <marillat@debian.org>  Wed, 23 Apr 2003 21:02:18 +0200

mjpegtools (1:1.6.1-0.2) unstable; urgency=low

  * Rebuild against the latest libavifile.

 -- Christian Marillat <marillat@debian.org>  Mon,  3 Mar 2003 15:17:44 +0100

mjpegtools (1:1.6.1-0.1) unstable; urgency=low

  * Compiled against gcc 3.2 for unstable

 -- Christian Marillat <marillat@debian.org>  Wed,  5 Feb 2003 16:02:20 +0100

mjpegtools (1:1.6.1-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Tue, 28 Jan 2003 17:35:36 +0100

mjpegtools (1:1.6.0-0.4) unstable; urgency=low

  * debian/control Added sox, toolame, mpeg2dec and a52dec in suggests for
    the mjpegtools package.
  * debian/control nasm should only depends for i386 arch
  * Standards-Version: is now 3.5.8
  * Replace extract_ac3 and ac3dec by extract_ac52 and ac52dec in
    mpegtranscode

 -- Christian Marillat <marillat@debian.org>  Thu, 12 Dec 2002 14:39:09 +0100

mjpegtools (1:1.6.0-0.3) unstable; urgency=low

  * Move mjpegtools.pc in the -dev package
  * Build with MMX/3DNow!/SSE extension. I hope this will break nothing.

 -- Christian Marillat <marillat@debian.org>  Sun,  3 Nov 2002 18:42:42 +0100

mjpegtools (1:1.6.0-0.2) unstable; urgency=low

  * Rebuild against libpng3

 -- Christian Marillat <marillat@debian.org>  Fri, 16 Aug 2002 17:10:24 +0200

mjpegtools (1:1.6.0-0.1) unstable; urgency=low

  * Enable quicktime support.

 -- Christian Marillat <marillat@debian.org>  Sun, 19 May 2002 18:05:10 +0200

mjpegtools (1:1.6.0-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Wed, 15 May 2002 23:19:06 +0200

mjpegtools (1.6.0-rc2-0.0) unstable; urgency=low

  * New upstream release.
  * Build against the latest libavifile-0.7

 -- Christian Marillat <marillat@debian.org>  Sun,  5 May 2002 14:29:17 +0200

mjpegtools (1.6.0-beta2-1) unstable; urgency=low

  * New upstream beta.

 -- Christian Marillat <marillat@debian.org>  Sat, 16 Feb 2002 13:19:44 +0100

mjpegtools (1.6.0-beta1-3) unstable; urgency=low

  * debian/control Add Conflicts: dvb-mpegtools

 -- Christian Marillat <marillat@debian.org>  Sun, 10 Feb 2002 10:47:39 +0100

mjpegtools (1.6.0-beta1-2) unstable; urgency=low

  * Move mjpegtools-config in the -dev package.

 -- Christian Marillat <marillat@debian.org>  Sun, 27 Jan 2002 04:28:34 +0100

mjpegtools (1.6.0-beta1-1) unstable; urgency=low

  * Initial Release.

 -- Christian Marillat <marillat@debian.org>  Fri, 25 Jan 2002 15:09:47 +0100
